Name: toxine
Summary: Mediaplayer with console control
Summary(uk_UA.CP1251):    
Summary(ru_RU.CP1251):    
Version: 0.6.3
Release: alt4
Copyright: GPL
Group: Video
URL: http://toxine.sourceforge.net/
Source: %name-%version.tar.bz2
Patch0: %name-0.6.3-man.patch.gz
Patch1: %name-0.6.3-gcc4.patch.gz
Patch2: %name-0.6.3-configure.patch.gz

# Automatically added by buildreq on Tue Feb 14 2006
BuildRequires: aalib-devel freetype2 libICE-devel libSM-devel
BuildRequires: libX11-devel libXext-devel libXt-devel libXtst-devel
BuildRequires: libcaca-devel libgpm-devel libncurses-devel
BuildRequires: libreadline-devel libslang-devel libtinfo-devel
BuildRequires: libxine-devel xorg-cf-files xorg-x11-proto-devel
BuildRequires: zlib-devel

%description
%name can be runs in interactive mode, or in a script mode. This
program was originaly designed to test and debug the xine library, but
now, it's a real (small) project, which permit to playback some streams
without X Window (using DXR3/HW+ card, AAlib output).
In interactive mode, you can use real xine's API commands or %name's
commands. In this mode, %name use the readline library, which permit
some completions, commands recall, etc...

%description -l uk_UA.CP1251
%name         .
        
 xine,   -   () , 
    X Window (  DXR3/HW+,
 AAlib).
       
xine-API   %name.    %name 
 readline,    ,   
 ...

%description -l ru_RU.CP1251
%name         .
        
 xine,   -   () , 
    X Window (  DXR3/HW+,
 AAlib).
       
xine-API   %name.    %name 
 readline,    , 
   ...


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .orig
touch -r configure.ac.orig configure.ac


%build
#%__autoreconf -fisv
%configure --with-pic --without-rpath
%make_build


%install
%makeinstall
install -d %buildroot%_libdir/%name/plugins
mv %buildroot%_libdir/*.so  %buildroot%_libdir/%name/plugins/
bzip2 --best --keep --force -- ChangeLog
rm -f %buildroot%_bindir/dvdplayer.sh

#menu
%ifdef _desktopdir
install -d %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Name=%name
GenericName=Console xine player
GenericName[uk]= xine-
GenericName[ru]= xine-
Exec=%name
MultipleArgs=true
Icon=video_section.png
Terminal=true
Type=Application
StartupNotify=false
Categories=Application;AudioVideo;
MimeType=video/mpeg;video/msvideo;video/quicktime;video/x-avi;\
video/x-ms-asf;video/x-ms-wmv;video/x-msvideo;application/x-ogg;\
application/ogg;audio/x-mp3;audio/x-mpeg;video/x-mpeg;video/x-fli;\
audio/x-wav;audio/x-mpegurl;audio/x-scpls;audio/x-ms-asx;\
application/vnd.rn-realmedia;audio/x-real-audio;audio/x-pn-realaudio;\
application/x-flac;audio/x-flac;application/x-shockwave-flash;\
audio/mpeg;audio/x-ms-asf;audio/x-m4a;audio/x-ms-wax;video/dv;\
video/x-anim;video/x-flc;misc/ultravox;application/x-matroska;\
audio/vnd.rn-realaudio;audio/x-pn-aiff;audio/x-pn-au;audio/x-pn-wav;\
audio/x-pn-windows-acm;image/vnd.rn-realpix;video/vnd.rn-realvideo
__MENU__
%else
install -d %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): command="%name" needs="X11" \
icon="video_section.png" section="Multimedia/Video" \
title="%name" \
genericname="%name" \
longtitle="Console xine player"
__MENU__
%endif


%post
%update_menus


%postun
%clean_menus


%files
%doc AUTHORS ChangeLog.* README
%_bindir/*
%_man1dir/*
%_libdir/%name
%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif


%changelog
* Tue May 23 2006 Led <led@altlinux.ru> 0.6.3-alt4
- fixed %name-0.6.3-configure.patch
- fixed spec

* Tue May 16 2006 Led <led@altlinux.ru> 0.6.3-alt3
- added %name-0.6.3-configure.patch
- fixed BuildRequires

* Mon May 15 2006 Led <led@altlinux.ru> 0.6.3-alt2
- added %name-0.6.3-gcc4.patch
- fixed menu

* Thu Feb 16 2006 Led <led@altlinux.ru> 0.6.3-alt1
- initial build
